/* $VER: wbstart.rexx 1.1 (19.5.97) */

PARSE ARG fname ' ' project
OPTIONS RESULTS

/* Load the datatypes.library as a function host */
IF ~SHOW( 'L', 'datatypes.library' ) THEN
   CALL ADDLIB( 'datatypes.library', 0, -30 )

   IF fname="" THEN DO
      SAY "Usage:"
      SAY "  rx wbstart <filename> <project>"
      EXIT
   END

   tool.which   = "MISC";      /* don't know what the user wants to start :-( */
   tool.launch  = "WORKBENCH";
   tool.program = fname;

   res =  LaunchTool( tool., project, SYNC, )

   IF res = 0 THEN DO
     SAY fname ' successfully launched'
   END
   ELSE
   DO
     SAY 'LauchTool error ' GetDTString( res, fname )
   END
EXIT

